//+------------------------------------------------------------------+
//|                                                   Hotkey Buy.mq4 |
//|                            Copyright  2006, Archer Trading, LLC |
//|                                     http://www.archertrading.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Archer Trading, LLC"
#property link      "http://www.archertrading.net"
#include <stdlib.mqh>

extern int Slippage = 3;                   

int start()
  {
   int ticket = 0;
   int err = 0;
   int SL = 0;

   if(OrderSelect(0,SELECT_BY_POS,MODE_TRADES))
   {
    if (OrderSymbol() == Symbol() && OrderType()== OP_BUY) 
    {
     while(true)
     {
      ticket = OrderClose(OrderTicket(),OrderLots(),Bid,Slippage,LightBlue);
      if(ticket == -1)
      {
       err=GetLastError();
       Print("Error(",err,"): closing BUY order",ErrorDescription(err));
       RefreshRates();
       OrderClose(OrderTicket(),OrderLots(),Bid,Slippage,LightBlue);
      }
     } 
     if(ticket > 0)
     {
      Print("BUY order closed at: " + Bid + ", current price: " + Ask);
     }
    }    
   } 
   
   if(OrderSelect(0,SELECT_BY_POS,MODE_TRADES))
   {
    if (OrderSymbol() == Symbol() && OrderType()== OP_SELL)
    {
     while(true)
     {
      ticket = OrderClose(OrderTicket(),OrderLots(),Ask,Slippage,LightPink);
      if(ticket == -1)
      {
       err=GetLastError();
       Print("Error(",err,"): closing SELL order",ErrorDescription(err));
       RefreshRates();
       OrderClose(OrderTicket(),OrderLots(),Ask,Slippage,LightPink);
      }
     }
     if(ticket > 0)
     {
      Print("SELL order closed at: " + Ask + ", current price: " + Bid);
     }
    }
   }  
  
   return(0);
  }

